import 'dart:convert';

import 'package:Intaleq/constant/box_name.dart';
import 'package:get/get.dart';
import 'package:Intaleq/constant/links.dart';
import 'package:Intaleq/controller/functions/crud.dart';

import '../../../main.dart';

class PromosController extends GetxController {
  List<dynamic> promoList = [];
  bool isLoading = true;
  late String promos;
  @override
  void onInit() {
    getPromoByToday();
    super.onInit();
  }

  Future getPromoByToday() async {
    var res = await CRUD().get(link: AppLink.getPromoBytody, payload: {
      'passengerID': box.read(BoxName.passengerID).toString(),
    });
    if (res.toString() == 'failure') {
      // Get.defaultDialog(
      //     title: 'No Promo for today .'.tr,
      //     middleText: '',
      //     titleStyle: AppStyle.title,
      //     confirm: MyElevatedButton(
      //         title: 'Back'.tr,
      //         onPressed: () {
      //           Get.back();
      //           Get.back();
      //         }));
      isLoading = false;
      update();
    } else {
      var jsonDecoded = jsonDecode(res);

      promoList = jsonDecoded['message'];
      isLoading = false;
      update();
    }
  }
}
